% Stapelverarbeitung
Dateipfad='C:/Daten/Forschungstexte/Studien/Vibrato_Tenderly_Transpose/'; % Ort, an dem die Tonhhoehenkurven liegen
Dateiliste=[						   % Liste der abzuarbeitenden Dateien
  {'Fitzgerald60_p.txt'},				% Format beachten: {'yx.txt'},
  {'oday57-2_p.txt'},
  {'oday58-2_p.txt'},
  {'vaughan_p.txt'}				% Achtung: letzter Eintrag OHNE Komma!
];
%Dateipfad='C:/Daten/Tonhoehenkurven/'; % Ort, an dem die Tonhhoehenkurven liegen
%Dateiliste=[						   % Liste der abzuarbeitenden Dateien
%  {'TonhoehenkurveEins.txt'},				% Format beachten: {'yx.txt'},
%  {'TonhoehenkurveZwei.txt'},
%  {'TonhoehenkurveDrei.txt'}				% Achtung: letzter Eintrag OHNE Komma!
%];

%=============== O P T I O N E N ================
% Optionen fuer Ausgabe: wenn "true", werden folgende neue Dateien erstellt
AUSGABEPCO=true;% Centkurve, wenn Hz in Cent konvertiert werden musste
AUSGABEPC=true; % geglätte Kurve, (nur nach Glaettung)
AUSGABEE=true;   % Ergebnisse (Zeitpunkt, Frequenz, Amplitude, Guete)
AUSGABES=true;   % Statistik (Zusammenfassung der Ergebnisse)
%-------------------------------------------------
% Optionen fuer Grafiken: 
ZeigeFreqAmp=true;% zeige Grafik: Frequenz + Amplitude mit Kreisgroesse = Guete
KREISMIN =   4;  % minimale Kreisgroesse (fuer Punkte mit schlechter Guete)
KREISMAX =  20;  % maximale Kreisgruesse (fuer Punkte mit Guete = 100)
VORSCHAU = false;% Vorschaufenster fuer Sinusvergleich (true = VIEL langsamer!)
%-------------------------------------------------
% Optionen fuer Stapelverarbeitung:
hertz2cent = 'ja';% Geladene Daten sind in Hertz. Alternative: 'nein'
glaettung = 3;   % keine Glaettung (1), Reduktion (2), Transposition (3)
%-------------------------------------------------
% allgemeine Optionen (sollten bei normaler Anwenung nicht geaendert werden):
STRENGE=2;     % Strenge des Kosinusvergleichs (1=leicht, 2=mittel, 3=schwer)
DSCHWELLE=50;  % Mindestguete* des Vibratis fuer Erfassung in Ergebnisliste
VSCHWELLE=90;  % Mindestguete* für Einbezug in statistische Auswertung
%                *) Determinationskoeffizient bei positiven Korrelationen
%                   zwischen Tonhoehenkurve und Modell
MINVIB=4;      % Untergrenze der zu messenden Vibrati (in Hz)
MAXVIB=10;     % Obergrenze  der zu messenden Vibrati (in Hz)
MAXAMB=700;    % Ambitus-Obergrenze (Max-Min) der zu messenden Vibrati (in Cent)
%-------------------------------------------------
% Optionen fuer Glaettung
mindestabstand=500;     % zulaessige Entfernung von Mediankurve
glaettungsfenster=50;   % Fenstergroesse
fensterueberlappung=3/4;% Ueberlappung der Fenster
%-------------------------------------------------
nStapel=length(Dateiliste); % nicht aendern!
